> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Email

> Consume a signed, time-limited email-verification token and mark the account's email as verified. Unauthenticated; returns 400 when the token is invalid or expired.



## OpenAPI

````yaml /openapi.json post /api/v1/auth/email/verify
openapi: 3.1.0
info:
  description: Change Impact Engine for multi-repo systems
  title: Riftmap
  version: 1.12.3
servers: []
security: []
paths:
  /api/v1/auth/email/verify:
    post:
      tags:
        - auth
      summary: Verify Email
      description: >-
        Consume a signed, time-limited email-verification token and mark the
        account's email as verified. Unauthenticated; returns 400 when the token
        is invalid or expired.
      operationId: verify_email_api_v1_auth_email_verify_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailVerifyBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                title: Response Verify Email Api V1 Auth Email Verify Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    EmailVerifyBody:
      properties:
        token:
          title: Token
          type: string
      required:
        - token
      title: EmailVerifyBody
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````